servant-0.20.2: A family of combinators for defining webservices APIs

Safe Haskell | None
Language | Haskell2010

Servant.API.Fragment

Synopsis

- data Fragment a

# Documentation

data Fragment a #

Document the URI fragment in API. Useful in combination with `Link`.

Example:

    >>> -- /post#TRACKING
    >>> type MyApi = "post" :> Fragment Text :> Get '[JSON] Tracking

#### Instances

Instances details

(HasLink sub, ToHttpApiData v) => HasLink (Fragment v :> sub :: Type) # |
Instance details Defined in Servant.Links Methods toLink :: (Link -> a) -> Proxy (Fragment v :> sub) -> Link -> MkLink (Fragment v :> sub) a #
AtMostOneFragment (Fragment a) # |
Instance details Defined in Servant.API.TypeLevel
type MkLink (Fragment v :> sub :: Type) a # |
Instance details Defined in Servant.Links type MkLink (Fragment v :> sub :: Type) a = v -> MkLink sub a